Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163875 - incorrect handling of timestamp argument to makestamp.py
Summary: incorrect handling of timestamp argument to makestamp.py
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 18:51 UTC by Dennis Gregorovic
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-26 14:47:44 UTC


Attachments (Terms of Use)

Description Dennis Gregorovic 2005-07-21 18:51:55 UTC
Note: This affects RHEL 3 and RHEL 4

If you pass a timestamp to makestamp.py via --timestamp, that variable is set as
a string in the script.  This causes the following to fail:

f.write("%f\n" % data["timestamp"])

Here's a patch:

--- makestamp.py    2005-07-21 14:50:04.480315447 -0400
+++ /usr/lib/anaconda-runtime/makestamp.py  2005-04-27 02:02:55.000000000 -0400
@@ -51,8 +51,6 @@
 if data["timestamp"] is None:
     print >> sys.stderr, "timestamp not specified; using the current time"
     data["timestamp"] = time.time()
-else:
-    data["timestamp"] = float(data["timestamp"])

 if data["releasestr"] is None:
     print "What should be the release name associated with this disc?"

Comment 1 Jeremy Katz 2005-07-26 04:10:07 UTC
Isn't this diff backwards? :)

Also, how important is this for rhel[34] vs just doing it on head?

Comment 2 Dennis Gregorovic 2005-07-26 04:37:48 UTC
I don't think the diff is backwards, but it's also past midnight so I'm probably
not thinking all that clearly.  ;)  This isn't a high priority bug as there are
workarounds (namely writing the stamp by hand instead of using makestamp.py).  

Comment 3 Jeremy Katz 2005-07-26 14:47:44 UTC
Applied to HEAD


Note You need to log in before you can comment on or make changes to this bug.